%define name	       python-enthought-mayavi2
%define version        2.2.0
%define release %mkrel 1
%define SOURCE         %(echo "-a`seq -s ' -a' 0 9`")

Summary: Python mayavi2 package from Enthought
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: enthought.debug-2.0.4.tar.lzma
Source1: enthought.envisage-2.0.4.tar.lzma
Source2: enthought.logger-2.0.4.tar.lzma
Source3: enthought.mayavi-2.2.0.tar.lzma
Source4: enthought.persistence-2.1.0.tar.lzma
Source5: enthought.plugins.debug-2.0.4.tar.lzma
Source6: enthought.plugins.python_shell-2.0.4.tar.lzma
Source7: enthought.plugins.refresh_code-2.0.4.tar.lzma
Source8: enthought.plugins.text_editor-2.0.5.tar.lzma
Source9: enthought.tvtk-2.1.0.tar.lzma
License: BSD 
Group:   Development/Python
Url: 	 http://code.enthought.com/projects/mayavi/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: python >= 2.3, python-numpy >= 1.0.2
Requires: python-enthought-traits >= 2.0.5, python-enthought-traits-ui >= 2.0.5
Requires: wxPython >= 2.6.0, python-vtk >= 5.0
Suggests: python-scipy >= 0.6.0
BuildRequires: python-devel >= 2.3, python-setuptools >= 0.6c6
BuildRequires: python-numpy-devel >= 1.0.2, python-vtk >= 5.0

%description
The mayavi2 package provides easy and interactive visualization of 3-D
data. It offers:

* An (optional) rich user interface with dialogs that permit interaction with 
  all data and objects in the visualization.
* A simple and clean scripting interface in Python that enables one to 
  write simple one-liners or use a powerful object-oriented programming 
  interface.
* The power of the VTK toolkit harnessed through these interfaces, 
  without forcing you to learn it.

Mayavi2 also is a reusable tool that can be embedded in applications
in various ways. It also can be used in conjunction with the Envisage
application-building framework to assemble domain-specific tools.

This RPM contains the following Enthought components: 
* debug
* envisage
* logger
* mayavi
* persistence
* plugins.debug
* plugins.python_shell
* plugins.refresh_code
* plugins.text_editor
* tvtk

%prep
%setup -q -c -T
%setup -q -T -D %SOURCE

%build
for d in enthought.*; do 
    pushd $d 
    %__python setup.py build 
    popd 
done

%install
%__rm -rf %{buildroot}

%__mkdir -p %{buildroot}%{_mandir}/man1
find . -name mayavi2.man -exec mv {} %{buildroot}%{_mandir}/man1/mayavi2.1 \;

%__mkdir -p docs
for d in enthought.*; do
    pushd $d
    %__python setup.py install --root=%{buildroot}

    docdir=`echo $d | sed 's/enthought\.\(.*\)\-.*/\1/'`
    %__mkdir -p ../docs/$docdir
    ls *.txt >/dev/null 2>&1 && cp -f *.txt ../docs/$docdir
    [ -d docs ] && cp -rf docs ../docs/$docdir
    [ -d examples ] && cp -rf examples ../docs/$docdir
    [ -d scripts ] && cp -rf scripts ../docs/$docdir
    popd
done

# Needed because parts of ETS assume the existence of an enthought.plugins
# package:
touch %{buildroot}%{py_sitedir}/enthought/plugins/__init__.py

pushd %{buildroot}%{py_sitedir}/enthought/
%__python -c "import compileall; compileall.compile_dir('./')"
%__python -O -c "import compileall; compileall.compile_dir('./')"
popd

# Needed because the python setup.py install generates bad pth files:
%__rm -f %{buildroot}%{py_sitedir}/*.pth

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%_bindir/*
%py_sitedir/enthought*
%py_platsitedir/enthought*
%_mandir/*



%changelog
* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 2.2.0-1mdv2009.0
+ Revision: 237722
- import python-enthought-mayavi2


* Tue Jul 15 2008 Lev Givon <lev@mandriva.org> 2.2.0-1mdv2008.1
- Package for Mandriva.
